### Method

# Adw NavigationSplitViewset_sidebar

since: 1.4

#### Declaration [src]

    void
    adw_navigation_split_view_set_sidebar (
      AdwNavigationSplitView* self,
      AdwNavigationPage* sidebar
    )

#### Description [src]

Sets the sidebar widget for `self`.

Available since: 1.4

Sets property | `Adw.NavigationSplitView:sidebar`

#### Parameters

`sidebar`

  Type: `AdwNavigationPage`

  The sidebar widget.

  The argument can be `NULL`.
  The data is owned by the caller of the method.